package back

import (
	"fmt"
	"log"
	"os"
	"time"
)

var logFile *os.File
var logger *log.Logger
var logDir string

func initLog() {
	logDir = Setting.Log

	_, e := os.Stat(logDir)
	if os.IsNotExist(e) {
		e = os.MkdirAll(logDir, 0777)
		if e != nil {
			fmt.Println(e)
			panic("Не удалось создать директория для логов")
		}
	}

	date := time.Now().String()[:10]

	logFile, e = os.OpenFile(logDir+date+".log", os.O_RDWR|os.O_CREATE|os.O_APPEND, 0777)
	if e != nil {
		fmt.Println(e)
		panic("Не удалось создать файл для записи логов")
	}

	logger = log.New(logFile, "", log.Ldate|log.Ltime|log.Lshortfile)
	if logger == nil {
		panic("Не удалось создать logger")
	}

}

func logWrite(msg ...interface{}) {
	logger.Println(msg...)
}
